------------------------------------------------------------
revno: 9998
revision-id: squid3@treenet.co.nz-20100612102531-cilbb7n60cbnwfzx
parent: squidadm@squid-cache.org-20100531013908-l52idj5a5my3a8o0
committer: Amos Jeffries <squid3@treenet.co.nz>
branch nick: SQUID_3_1
timestamp: Sat 2010-06-12 22:25:31 +1200
message:
  Author: Sean Critica <sean.critica@gmail.com>
  Bug 2943: ICAP tokens not logged when using multiple access
------------------------------------------------------------
# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: squid3@treenet.co.nz-20100612102531-cilbb7n60cbnwfzx
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk/
# testament_sha1: b3b4934e01187488b2b2de8a3840f0a5107d7b05
# timestamp: 2010-06-12 10:51:50 +0000
# source_branch: http://www.squid-cache.org/bzr/squid3/branches\
#   /SQUID_3_1
# base_revision_id: squidadm@squid-cache.org-20100531013908-\
#   l52idj5a5my3a8o0
# 
# Begin patch
=== modified file 'src/access_log.cc'
--- src/access_log.cc	2010-05-30 09:11:10 +0000
+++ src/access_log.cc	2010-06-12 10:25:31 +0000
@@ -2092,6 +2092,13 @@
 
     assert(sizeof(log_tags) == (LOG_TYPE_MAX + 1) * sizeof(char *));
 
+#if USE_ADAPTATION
+    alLogformatHasAdaptToken = false;
+#endif
+#if ICAP_CLIENT
+    alLogformatHasIcapToken = false;
+#endif
+
     for (log = Config.Log.accesslogs; log; log = log->next) {
         if (log->type == CLF_NONE)
             continue;
@@ -2100,12 +2107,6 @@
 
         LogfileStatus = LOG_ENABLE;
 
-#if USE_ADAPTATION
-        alLogformatHasAdaptToken = false;
-#endif
-#if ICAP_CLIENT
-        alLogformatHasIcapToken = false;
-#endif
 #if USE_ADAPTATION || ICAP_CLIENT
         for (logformat_token * curr_token = (log->logFormat?log->logFormat->format:NULL); curr_token; curr_token = curr_token->next) {
 #if USE_ADAPTATION

